Xerces-C++: Hash2KeysSetOf< THasher > Class Template Reference

Xerces-C++ 3.2.2

Public Member Functions | Friends | List of all members
Hash2KeysSetOf< THasher > Class Template Reference
Inheritance diagram for Hash2KeysSetOf< THasher >:

## Public Member Functions
| Hash2KeysSetOf (const XMLSize_t modulus, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Hash2KeysSetOf (const XMLSize_t modulus, const THasher &hasher, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~Hash2KeysSetOf ()
bool | isEmpty () const
bool | containsKey (const void *const key1, const int key2) const
void | removeKey (const void *const key1, const int key2)
void | removeKey (const void *const key1)
void | removeAll ()
MemoryManager * | getMemoryManager () const
XMLSize_t | getHashModulus () const
void | put (const void *key1, int key2)
bool | putIfNotPresent (const void *key1, int key2)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Friends
class | Hash2KeysSetOfEnumerator< THasher >

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ◆ Hash2KeysSetOf() [1/2]

template<class THasher>

Hash2KeysSetOf< THasher >::Hash2KeysSetOf | ( | const XMLSize_t | modulus,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ Hash2KeysSetOf() [2/2]

template<class THasher>

Hash2KeysSetOf< THasher >::Hash2KeysSetOf | ( | const XMLSize_t | modulus,
|  | const THasher & | hasher,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~Hash2KeysSetOf()

template<class THasher>

Hash2KeysSetOf< THasher >::~Hash2KeysSetOf | ( |  | ) |

## Member Function Documentation

## ◆ containsKey()

template<class THasher>

bool Hash2KeysSetOf< THasher >::containsKey | ( | const void *const | key1,
|  | const int | key2
| ) |  | const

## ◆ getHashModulus()

template<class THasher>

XMLSize_t Hash2KeysSetOf< THasher >::getHashModulus | ( |  | ) | const

## ◆ getMemoryManager()

template<class THasher>

MemoryManager* Hash2KeysSetOf< THasher >::getMemoryManager | ( |  | ) | const

## ◆ isEmpty()

template<class THasher>

bool Hash2KeysSetOf< THasher >::isEmpty | ( |  | ) | const

## ◆ put()

template<class THasher>

void Hash2KeysSetOf< THasher >::put | ( | const void * | key1,
|  | int | key2
| ) |  |

## ◆ putIfNotPresent()

template<class THasher>

bool Hash2KeysSetOf< THasher >::putIfNotPresent | ( | const void * | key1,
|  | int | key2
| ) |  |

## ◆ removeAll()

template<class THasher>

void Hash2KeysSetOf< THasher >::removeAll | ( |  | ) |

## ◆ removeKey() [1/2]

template<class THasher>

void Hash2KeysSetOf< THasher >::removeKey | ( | const void *const | key1,
|  | const int | key2
| ) |  |

## ◆ removeKey() [2/2]

template<class THasher>

void Hash2KeysSetOf< THasher >::removeKey | ( | const void *const | key1 | ) |

## Friends And Related Function Documentation

## ◆ Hash2KeysSetOfEnumerator< THasher >

template<class THasher>

friend class Hash2KeysSetOfEnumerator< THasher >
| friend

The documentation for this class was generated from the following file:

- Hash2KeysSetOf.hpp